Subject: Re: [PATCH v2 0/4] Bring back driver_deferred_probe_check_state() for now

From: Tony Lindgren <[email-masked]>
Date: Mon, 22 Aug 2022 10:08:32 +0300

* Saravana Kannan <[email-masked]> [220819 22:09]:
> A bunch of issues have been reported in the original series[1] that removed
> driver_deferred_probe_check_state(). While most of the issues have been
> fixed in a new series that improved fw_devlink [2], there are still a few
> unresolved issues I need to address.
> 
> So let's bring back driver_deferred_probe_check_state() until the other
> issues are resolved.
> 
> Greg,
> 
> Can we get this into 6.0-rcX please?

Yes please.

I just tested these against v6.0-rc2 and it fixes the deferred probe boot
issues I've been seeing. The patches already have my Tested-by for the
relevant patches, so as far as I'm concerned these are good to go.

Thanks,

Tony